import request from '@/utils/request'

/**
* 保存学期
* @param {*} data
* @returns
*/
export const saveSchoolTerm = (data) => request({
  url: '/admin/school-term',
  method: 'post',
  data
})

/**
 * 学期列表
 * @param {*} params
 * @returns
 */
export const getSchoolTermList = (params) => request({
  url: '/admin/school-term', params
})

/**
 * 删除学期
 * @param {*} data
 * @returns
 */
export const deleteSchoolTerm = (id) => request({
  url: `/admin/school-term/${id}`, method: 'delete'
})
/**
 * 更新学期
 * @param {*} data
 * @returns
 */
export const UpdateSchoolTerm = (data, id) => request({
  url: `/admin/school-term/${id}`, method: 'put', data
})
/**
 * 查询学期详情
 * @param {*} params
 * @returns
 */
export const getSchoolTermDetail = (id) => request({
  url: `/admin/school-term/${id}`
})
