import request from '@/utils/request'

/**
* 保存签到
* @param {*} data
* @returns
*/
export const saveSignIn = (data) => request({
  url: '/admin/sign-in',
  method: 'post',
  data
})

/**
 * 签到列表
 * @param {*} params
 * @returns
 */
export const getSignInList = (params) => request({
  url: '/admin/sign-in', params
})

/**
 * 删除签到
 * @param {*} data
 * @returns
 */
export const deleteSignIn = (id) => request({
  url: `/admin/sign-in/${id}`, method: 'delete'
})
/**
 * 更新签到
 * @param {*} data
 * @returns
 */
export const UpdateSignIn = (data, id) => request({
  url: `/admin/sign-in/${id}`, method: 'put', data
})
/**
 * 查询签到详情
 * @param {*} params
 * @returns
 */
export const getSignInDetail = (id) => request({
  url: `/admin/sign-in/${id}`
})

/**
* 保存签到池
* @param {*} data
* @returns
*/
export const saveSignClass = (data, id) => request({
  url: `/admin/sign-class?signId=${id}`,
  method: 'post',
  data
})

/**
 * 签到池列表
 */
export const getSignClassList = (id) => request({
  url: `/admin/sign-class?signId=${id}`
})
