import request from '@/utils/request'

/**
* 用户列表
* @param {*} data
* @returns
*/
export const getUserList = (params) => request({
  url: '/admin/user', params
})

/**
 * 登录
 * @param {*} data
 * @returns
 */
export function login(data) {
  return request({
    url: '/admin/login',
    method: 'post',
    data
  })
}

/**
* 注册账号
* @param {*} data
* @returns
*/
export const signUp = (data) => request({
  url: '/admin/signup',
  method: 'post',
  data
})

/**
 * 获取验证码
 * @param {*} params
 * @returns
 */
export const getCaptcha = (params) => request({
  url: '/admin/captcha', params
})

/**
 * 修改密码
 * @param {*} data
 * @returns
 */
export const changePassword = (data) => request({
  url: '/admin/change-password', method: 'put', data
})
/**
 * 启用账号
 * @param {*} data
 * @returns
 */
export const enableUser = (id) => request({
  url: `/admin/user/${id}/on`, method: 'put'
})
/**
 * 禁用账号
 * @param {*} data
 * @returns
 */
export const disableUser = (id) => request({
  url: `/admin/user/${id}/off`, method: 'put'
})

/**
 * 找回密码
 * @param {*} data
 * @returns
 */
export const findPassword = (data) => request({
  url: '/admin/find-password', method: 'put', data
})
